//+------------------------------------------------------------------+
//|                                                 NuovaCandela.mq4 |
//|                                               Trading Automatico |
//|                                        https://claudiodelpup.com |
//+------------------------------------------------------------------+
#property copyright "Trading Automatico"
#property link      "https://claudiodelpup.com"
#property version   "1.00"
#property strict

//+------------------------------------------------------------------+
//| Dichiarazione Variabili Globali                                  |
//+------------------------------------------------------------------+
double H,L,O,C;
datetime T;
string Testo;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   H=0;
   L=0;
   O=0;
   C=0;
   T=TimeCurrent();
   Testo="";
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {

  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
    if(NuovaCandela()==true) 
      {
         H=High[1];
         L=Low[1];
         O=Open[1];
         C=Close[1];
         T=Time[1];
         Testo=" Ultima Candela chiusa su "+Symbol()+" TimeFrame "+IntegerToString(Period())+" Min."+
               "\n Data e Ora="+T+
               "\n Prezzo Chiusura="+DoubleToStr(C,Digits)+
               "\n Prezzo Apertura="+DoubleToStr(O,Digits)+
               "\n Prezzo Massimo="+DoubleToStr(H,Digits)+
               "\n Prezzo Minimo="+DoubleToStr(L,Digits);
         Comment(Testo);
         Alert(Testo);
      }   
  }
//+-----------------CONTROLLA FORMAZIONE CANDELA---------------------+
 
bool NuovaCandela(){
  static datetime UltimaCandela; 
  datetime CandelaAttuale = Time[0]; 
  if (CandelaAttuale != UltimaCandela){
       UltimaCandela = CandelaAttuale;
       return (true); 
  }else{
       return (false); 
  }
}